Bug 983249 - Can't figure out how to disable suspend on lid-close
Can't figure out how to disable suspend on lid-close
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 15:49 EDT by Gregory Maxwell
Modified: 2015-02-17 11:03 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:03:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregory Maxwell 2013-07-10 15:49:07 EDT
Description of problem:

In past versions of fedora setting lid-close-ac-action and lid-close-battery-action to blank in dconf (org/gnome/settings daemon/plugins/power) was sufficient to prevent suspend on lid close.  This doesn't appear to work anymore: It keeps suspending even with it set to blank or nothing.

(Suspend on lid close is problematic for me as I frequently move rooms and the suspend tears down tcp connections, pauses my computing runs, and takes several seconds to recover; carrying the laptop with the screen open risks damaging it)

Version-Release number of selected component (if applicable):
Fedora 19

How reproducible:
Every time on my system

Steps to Reproduce:
1. Install F19 replacing a prior F17 install
2. Set it to not suspend in dconf
3. Observe it suspending anyways

Actual results:
Suspended computer or damaged screen from being carried open

Expected results:
Not suspended computer

Additional info:
Xmonad "desktop environment", though it was also suspending on lid close under GNOME3 for the brief time that was running before I copied my home back over.
Comment 1 Gregory Maxwell 2013-07-10 15:49:57 EDT
(Sorry if this is a dumb questionā€” I tried asking on IRC first but its currently impossible to join #fedora because freenode nickserv is down, and no one is responding in #fedora-unregistered)
Comment 2 Ray Strode [halfline] 2013-07-10 16:34:01 EDT
does HandleLidSwitch=ignore in /etc/systemd/logind.conf fix it?
Comment 3 Gregory Maxwell 2013-07-11 23:10:59 EDT
Ray,  Thank you!

Oddly, I missed the bugmail with your reply and so had gone ahead to make the kernel panic on suspend in order to figure out what process was triggering it! Sure enough, it was systemd and I was just returning here to propose the same solution you gave me.

Should this be documented someplace?
Comment 4 Fedora End Of Life 2015-01-09 13:50:08 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 11:03:43 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.